# Class HealpixTables

java.lang.Object
healpix.essentials.HealpixTables

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `Fxyf, HealpixBase`

public class HealpixTables extends Object implements Serializable
Various data tables needed by the `HealpixBase` class.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final short[]`
`ctab`
`protected static final short[][]`
`facearray`
`protected static final byte[]`
`jpll`
`protected static final byte[]`
`jrll`
`protected static final int[][]`
`swap_cycle`
`protected static final byte[][]`
`swaparray`
`protected static final short[]`
`utab`
`protected static final short[]`
`xoffset`
`protected static final short[]`
`yoffset`

## Constructor Summary

Constructors
Constructor
Description
`HealpixTables()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ctab

protected static final short[] ctab

### utab

protected static final short[] utab

### jrll

protected static final byte[] jrll

### jpll

protected static final byte[] jpll

### xoffset

protected static final short[] xoffset

### yoffset

protected static final short[] yoffset

### facearray

protected static final short[][] facearray

### swaparray

protected static final byte[][] swaparray

### swap_cycle

protected static final int[][] swap_cycle

## Constructor Details

### HealpixTables

public HealpixTables()